## ros-melodic-nmea-comms 1.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(nmea_comms)

find_package(catkin REQUIRED COMPONENTS roscpp roslaunch roslint nmea_msgs rostest)

catkin_package(
   INCLUDE_DIRS include
)

###########
## Build ##
###########

include_directories(include ${catkin_INCLUDE_DIRS})
add_library(${PROJECT_NAME}_lib src/rx.cpp src/tx.cpp src/checksum.cpp)
target_link_libraries(${PROJECT_NAME}_lib ${catkin_LIBRARIES})

add_executable(nmea_serial_node src/serial_node.cpp)
set_target_properties(nmea_serial_node PROPERTIES OUTPUT_NAME serial_node PREFIX "")
add_dependencies(nmea_serial_node nmea_msgs_gencpp)
target_link_libraries(nmea_serial_node ${catkin_LIBRARIES} ${PROJECT_NAME}_lib)

add_executable(nmea_socket_node src/socket_node.cpp)
set_target_properties(nmea_socket_node PROPERTIES OUTPUT_NAME socket_node PREFIX "")
add_dependencies(nmea_socket_node nmea_msgs_gencpp)
target_link_libraries(nmea_socket_node ${catkin_LIBRARIES} ${PROJECT_NAME}_lib)

#############
## Install ##
#############

install(TARGETS nmea_serial_node nmea_socket_node ${PROJECT_NAME}_lib
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

#############
## Testing ##
#############

if (CATKIN_ENABLE_TESTING)
  add_rostest_gtest(nmea_socket_node_test test/socket_node.test test/test_socket_node.cpp)
  target_link_libraries(nmea_socket_node_test ${catkin_LIBRARIES})
  add_dependencies(nmea_socket_node_test nmea_socket_node nmea_msgs_gencpp)

  roslaunch_add_file_check(launch/tee.launch
    DEPENDENCIES nmea_socket_node nmea_serial_node)

  roslint_cpp()
endif()

=== debian/changelog ===
ros-melodic-nmea-comms (1.2.0-0bionic) bionic; urgency=high

  * Fixed boost::thread_resource_error: Resource temporarily unavailable exception that was thrown using netcat to feed socket_node.cpp with NMEA sentences. (#5 <https://github.com/ros-drivers/nmea_comms/issues/5>)
  * Contributors: Avio, Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 02 Aug 2019 04:00:00 -0000

ros-melodic-nmea-comms (1.1.0-0bionic) bionic; urgency=high

  * Release to Jade.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 23 Apr 2015 04:00:00 -0000

ros-melodic-nmea-comms (1.0.1-0bionic) bionic; urgency=high

  * Add roslint, automatic style fixes.
  * Add license headers to source files.
  * Tidy up package.xml, add author and url elements.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 21 Apr 2014 04:00:00 -0000

ros-melodic-nmea-comms (1.0.0-0bionic) bionic; urgency=high

  * Update the tee example launch file.
  * Change topic names to match the default in nmea_navsat_driver.
  * Put the common sources in a shared lib.
  * Add some basic tests.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 21 Apr 2014 04:00:00 -0000

ros-melodic-nmea-comms (0.0.3-0bionic) bionic; urgency=high

  * Add sleep() call between poll and read to further reduce CPU use.
  * Properly apply the specified baud rate.
  * Gracefully handle nulls received on the serial line.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 03 Oct 2013 04:00:00 -0000

ros-melodic-nmea-comms (0.0.2-0bionic) bionic; urgency=high

  * Add support for setting frame_id on rx Sentence messages.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 23 Sep 2013 04:00:00 -0000

ros-melodic-nmea-comms (0.0.1-0bionic) bionic; urgency=high

  * Initial release of bidirectional socket and serial nodes.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 03 Sep 2013 04:00:00 -0000

=== debian/control ===
Source: ros-melodic-nmea-comms
Section: misc
Priority: extra
Maintainer: Mike Purvis <mpurvis@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-nmea-msgs, ros-melodic-roscpp, ros-melodic-roslaunch, ros-melodic-roslint, ros-melodic-rostest
Homepage: http://wiki.ros.org/nmea_comms
Standards-Version: 3.9.2

Package: ros-melodic-nmea-comms
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-nmea-msgs, ros-melodic-roscpp
Description: The nmea_comms package provides helper nodes for transmitting and receiving the NMEA sentences.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-nmea-comms//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
